# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: sampletype_project.py 749 2005-06-28 22:21:49Z sidnei $
"""

__metaclass__ = type

from zope.interface import implements

from sqlobject import *
from sqlos import SQLOS
from sip.interfaces.sampletype_project import ISampleTypeProject

class SampleTypeProject(SQLOS):

    implements(ISampleTypeProject)

    _idName = 'sample_type_project_id'
    _columns = [
        ForeignKey('Project', name='project_id', cascade=False),
        ForeignKey('SampleType', name='sample_type_id', cascade=False),
        ]
