# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: add.py 749 2005-06-28 22:21:49Z sidnei $
"""
from zope.app.form.browser.add import AddView as BaseAddView
from sip.browser import api

class AddView(BaseAddView):

    def __init__(self, *args, **kw):
        super(AddView, self).__init__(*args, **kw)
        project = api.queryProject(self.context.context)
        # Commit message should never be asked when
        # adding objects.
        filter_out = ['commit_message']
        f = lambda x: x not in filter_out
        self.fieldNames = filter(f, self.fieldNames)

    def createAndAdd(self, data):
        request = self.request
        if not data.get('commit_message'):
            project = api.queryProject(self.context.context)
            user = request.principal
            msg = u"Added by '%s'" % (user and user.getLogin()
                                      or '<unknown user>')
            data['commit_message'] = msg
        return super(AddView, self).createAndAdd(data)
