# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: location.py 758 2005-06-28 23:02:39Z sidnei $
"""

from sip.browser import api

__metaclass__ = type

class AddLocation:

    def create(self, *args, **kw):
        type_id = kw['type_id']
        del kw['type_id']
        factory = api.factory('sip.Location', context=self.context)
        location = factory(**kw)
        ckw = {}
        # Root container has id == 1
        ckw['parent_id'] = 1
        ckw['type_id'] = type_id
        ckw['name'] = kw['name']
        ckw['commit_message'] = kw['commit_message']
        factory = api.factory('sip.Container', context=self.context)
        container = factory(**ckw)
        api.setLocation(self.context, container, location)
        return location

    def nextURL(self):
        return super(AddLocation,self).nextURL() + '#add_location'
