# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: common.py 749 2005-06-28 22:21:49Z sidnei $
"""

__metaclass__ = type

from zope.interface import implements
from sip.interfaces.csv import ITempStorage

class Storage:

    implements(ITempStorage)

    def __init__(self, filename):
        self.filename = filename

    def store(self, context, data, tid):
        raise NotImplementedError

    def load(self, context, tid):
        raise NotImplementedError

    def expire(self, context, tid):
        raise NotImplementedError
