# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: subjecttype.py 749 2005-06-28 22:21:49Z sidnei $
"""

from zope.interface import Interface
from zope.schema import TextLine
from sip.interfaces import ISIPSchema, Unique, FieldFactory
from sip.descriptors import BoundCallableDescriptor
from sip.i18n import _

class ISubjectType(ISIPSchema):
    name = FieldFactory(
            TextLine,
            title=_('Name'),
            description=_('Subject Type Name'),
            constraint=BoundCallableDescriptor(
            Unique(className='sip.SubjectType', columnName='name'))
            )
