# Copyright (c) 2004 by RUNYAGA, LLC.
# http://www.runyaga.com/

"""
$Id: location_project.py 749 2005-06-28 22:21:49Z sidnei $
"""

__metaclass__ = type

from sqlobject import *
from sqlos import SQLOS

from zope.interface import implements
from sip.interfaces.location_project import ILocationProject

class LocationProject(SQLOS):

    implements(ILocationProject)

    _idName = 'location_project_id'
    _columns = [
        ForeignKey('Project', name='project_id', cascade=False),
        ForeignKey('Location', name='location_id', cascade=False),
        ]
